Subject: Re: bug#50743: Emacsclient not tested vs. Local Variables prompt

From: martin rudalics <[email-masked]>
Date: Sun, 26 Sep 2021 11:59:42 +0200

>> I consider it a bug when the user gets prompted and the frame
 >> displaying the prompt doesn't have focus.
 >
 > I don't, FWIW.  When exactly to switch focus is deeply personal.
 > E.g., imagine that emacsclient is called while I'm still typing
 > something into the original terminal window.
 >
 > In a windowed environment, it is IMO the user's duty to be aware of
 > the input focus and switch it as needed.

IIUC this issue is about a frame displayed on top of the terminal
window.  While some people are capable of typing into a window they
don't see, we shouldn't ask arbitrary users to do that.

martin